Bug 115328 - Satisfy keyword in httpd.conf causes apache to segfault on load
Summary: Satisfy keyword in httpd.conf causes apache to segfault on load
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd   
(Show other bugs)
Version: 3.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
: 116458 (view as bug list)
Depends On:
Blocks: 107562
TreeView+ depends on / blocked
 
Reported: 2004-02-10 20:46 UTC by Karlos Smith
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-23 09:48:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example conf file for apache place in /etc/httpd/conf.d (692 bytes, text/plain)
2004-02-10 21:06 UTC, Karlos Smith
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:084 normal SHIPPED_LIVE Important: httpd security update 2004-03-23 05:00:00 UTC

Description Karlos Smith 2004-02-10 20:46:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2)
Gecko/20030716

Description of problem:
In order to use both "Allow from" and "Require valid user" keywords in
httpd.conf, if you want either one to succeed (as opposed to requiring
both)  you use "Satisfy Any"

The httpd-2.0.46-26.ent httpd crashes if you use the satisfy keyword.


Version-Release number of selected component (if applicable):
httpd-2.0.46-26.ent

How reproducible:
Always

Steps to Reproduce:
1. place my attached satisfyexample.conf in /etc/httpd/conf.d/
2. run httpd -t or serivce httpd start
    

Actual Results:  Segmentation fault (core dumped)


Expected Results:  Syntax OK

Comment 1 Karlos Smith 2004-02-10 21:06:50 UTC
Created attachment 97565 [details]
example conf file for apache place in /etc/httpd/conf.d

Comment 2 Joe Orton 2004-02-10 23:17:15 UTC
Thanks for the report, we are investigating the issue.

Comment 5 Joe Orton 2004-02-19 14:26:07 UTC
The fix for this issue is scheduled for inclusion in the next QU.

Test packages are available which have not gone through the internal
QA process: http://people.redhat.com/jorton/Taroon-httpd/ia64/

Comment 6 Joe Orton 2004-02-21 12:38:45 UTC
*** Bug 116458 has been marked as a duplicate of this bug. ***

Comment 7 Mark J. Cox 2004-03-23 09:48:57 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-084.html



Note You need to log in before you can comment on or make changes to this bug.